Subject: Re: Add option to keep colorization in comint, use it in python.el

From: Carlos Pita <[email-masked]>
Date: Mon, 21 Oct 2019 17:53:06 -0300

> But I wonder if you could just replace add-text-properties with
> add-face-text-property?  It will keep your previous text properties
> and will just merge them with the comint-highlight-input face.

I'm not sure about this:

> If any text in the region already has a non-nil ‘face’ property, those
> face(s) are retained.

Is the default face represented as a nil face property? Will it be
overridden? In that case the mix could be ugly.

In general I'd prefer to keep both paths of execution as separate as
possible so as to avoid regressions.